### Method

# Gsk CairoNode get_draw_context

#### Declaration [src]

    cairo_t*
    gsk_cairo_node_get_draw_context (
      GskRenderNode* node
    )

#### Description [src]

Creates a Cairo context for drawing using the surface associated to the render node.

If no surface exists yet, a surface will be created optimized for rendering to `renderer`.

#### Return value

Type: `cairo_t`

A Cairo context used for drawing; use `cairo_destroy()` when done drawing.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.